This URL deletes the custom fingerprints imported in the Manager.
Resource URL
DELETE /domain/<domain_id>/filereputation/customfingerprints
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Domain id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| Status returned by deletion | Number |
Example
Request
DELETE https://<NSM_IP>/sdkapi/domain/0/filereputation/customfingerprints
Response
{
"status":1
}
Error Information
Following error codes are returned by this URL:
S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 400 | 1105 | Invalid domain |
2 | 400 | 2801 | No custom finger prints to delete |